petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCBDDCGetPrimalVerticesLocalIS

Get user defined primal vertices set with PCBDDCSetPrimalVerticesLocalIS()

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetPrimalVerticesLocalIS(PC pc, IS *is)

Collective

### Input Parameters

pc -the preconditioning context

### Output Parameters

is -index set of primal vertices in local numbering (NULL if not set)

### Notes

### See Also

PCBDDC, PCBDDCSetPrimalVerticesIS(), PCBDDCGetPrimalVerticesIS(), PCBDDCSetPrimalVerticesLocalIS()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCGetPrimalVerticesLocalIS_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages